> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://es.megaport.ferndocs.com/es/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://es.megaport.ferndocs.com/es/_mcp/server.

# Cuentas Administradas

GET https://api.megaport.com/v2/managedCompanies

Los socios de Megaport pueden utilizar este punto final para listar todas las empresas gestionadas vinculadas a su cuenta.

Reference: https://es.megaport.ferndocs.com/es/api-reference/partner-api-for-managed-accounts/list-managed-accounts

## Servers

- `https://api.megaport.com` (Entorno de producción, default)
- `https://api-staging.megaport.com` (Entorno de pruebas (solo pruebas, se restablece cada 24 horas))

## Response

### 200

Lista de Cuentas Administradas / Lista de Cuentas Administradas

- `data` (list of V2ManagedCompaniesGetResponsesContentApplicationJsonSchemaDataItems, optional)
- `message` (string, optional)
- `terms` (string, optional)

## Types

### V2ManagedCompaniesGetResponsesContentApplicationJsonSchemaDataItems

- `accountName` (string, optional)
- `accountRef` (string, optional)
- `companyUid` (string, optional)

## Examples

**Response**

```json
{
  "data": [
    {
      "accountName": "Demo Company",
      "accountRef": "AUS-BNE-4101-KK",
      "companyUid": "ccfcf1dc-cf38-4526-9f2f-13d36a2441db"
    },
    {
      "accountName": "Best Company Ever",
      "accountRef": "555-1212-0317-1967",
      "companyUid": "fd404dc9-9efd-43c1-9e0b-a58a9d250130"
    }
  ],
  "message": "Cuentas Administradas.",
  "terms": "This data is subject to the Acceptable Use Policy https://www.megaport.com/legal/acceptable-use-policy"
}
```

**SDK Code**

```python
import requests

url = "https://api.megaport.com/v2/managedCompanies"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.megaport.com/v2/managedCompanies';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.megaport.com/v2/managedCompanies"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.megaport.com/v2/managedCompanies")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.megaport.com/v2/managedCompanies")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.megaport.com/v2/managedCompanies');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.megaport.com/v2/managedCompanies");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.megaport.com/v2/managedCompanies")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```